******************************************************************************
* Scrapbook facility that can be used to try and evaluate jBC expressions    *
******************************************************************************

* a simple message
CRT 'Hello World!'
CRT STR('-', 12)

* The DIR function returns information about a file
f = DIR('jbcCodeSnippets.BP/CallSubForTesting')
PRINT 'File size in bytes: ' : f<1> "L,#10"
PRINT 'Last modified date: ' : f<2> "D4/"
PRINT 'Last modified time: ' : f<3> "MTS"
PRINT 'File type D=Dir:    ' : SQUOTE(f<4>) : CHAR(0) :

;* Returns the name of the current working directory
IF GETCWD(Cwd) THEN
   CRT "Current Working Directory = " : Cwd
END ELSE
   CRT "Could not determine CWD!"
END

* time handling and calculations
CRT "The time and date is " : TIMEDATE()
CRT "Time is " : OCONV(TIME(), "MTS")
CRT "Execution finish time: " : OCONV(TIME(), "MTS")

;* dynamic array of numeric expressions
y = 58 : @AM : 45 : @AM : 41
z = CHARS(y)
FOR i = 1 TO 3
   PRINT z<i> :
NEXT i

PRINT 'RUNNING.IN.UTF8: ' : SYSTEM(1025)

jClass  = "net.ambdev.jbase.CommTest"
jMethod = "$showEnvironment"
jArgs   = 'Hello from jBasic Expression Evaluator!'
CALLJ jClass, jMethod, jArgs SETTING response ON ERROR
    CRT "Error: " : SYSTEM(0)
    STOP
END
CRT "Response received from JAVA: " : response
